// import "element-ui/lib/theme-chalk/index.css";
import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import "./registerServiceWorker";
import moment from "moment";
import ElementUI from "element-ui";
import './assets/css/element-variables.scss'
import "./assets/icon/alibaba/iconfont.css";
import "./assets/icon/basic/iconfont.css";

import Mixin from "./mixins";
import VueAwesomeSwiper from "vue-awesome-swiper";
import "swiper/dist/css/swiper.css";
import preview from "vue-photo-preview";
import "vue-photo-preview/dist/skin.css";
import "vue2-animate/src/sass/vue2-animate.scss";
import echarts from 'echarts';
import numeral from 'numeral';
import ImageShow from '@/components/subComponents/component.js'


Vue.prototype.$moment = moment;
Vue.prototype.$echarts = echarts;
Vue.prototype.numeral = numeral;
Vue.use(preview as any);
Vue.use(VueAwesomeSwiper as any);
Vue.use(ElementUI);
Vue.use(ImageShow)

Vue.config.productionTip = false;
Vue.mixin(Mixin);

Vue.filter('moment', function (value, formatString) {
  formatString = formatString || 'YYYY-MM-DD HH:mm:ss';
  return moment(value).format(formatString);

});

export default Vue.prototype.bus = new Vue({
  router,
  render: h => h(App)
}).$mount("#app");
